Package org.apache.lucene.internal.hppc

# Class CharObjectHashMap.CharObjectCursor<VType>

java.lang.Object
org.apache.lucene.internal.hppc.CharObjectHashMap.CharObjectCursor<VType>

Enclosing class:
  `CharObjectHashMap<VType>`

public static final class CharObjectHashMap.CharObjectCursor<VType> extends Object
Forked from HPPC, holding int index,key and value

## Field Summary

Fields
Modifier and Type
Field
Description
`int`
`index`
The current key and value's index in the container this cursor belongs to.
`char`
`key`
The current key.
`VType`
`value`
The current value.

## Constructor Summary

Constructors
Constructor
Description
`CharObjectCursor()`

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### index

public int index
The current key and value's index in the container this cursor belongs to. The meaning of this index is defined by the container (usually it will be an index in the underlying storage buffer).

### key

public char key
The current key.

### value

public VType value
The current value.

## Constructor Details

### CharObjectCursor

public CharObjectCursor()

## Method Details

### toString

public String toString()

Overrides:
  `toString` in class `Object`